Summary: The Gimp Toolkit
Name: gtk
Version: 0.99.970925
Release: 3
Copyright: LGPL
Group: X11/Libraries
Source: ftp://ftp.gimp.org/pub/gtk/gtk+970925.tar.gz
Patch1: gtk+970916-headers.patch
Patch2: gtk+970925-style.patch
Patch3: gtk+970925-invisible.patch
Patch4: gtk+970925-noabort.patch
BuildRoot: /tmp/gtk-root
Prereq: /sbin/install-info

%description
The X libraries originally written for the GIMP, which are now used by
several other programs as well.

%package devel
Summary: GIMP Toolkit and GIMP Drawing Kit
Group: X11/Libraries
Requires: gtk

%description devel
Static libraries and header files for the GIMP's X libraries, which are
available as public libraries.  GLIB includes generally useful data
structures, GDK is a drawing toolkit which provides a thin layer over
Xlib to help automate things like dealing with different color depths,
and GTK is a widget set for creating user interfaces.

%changelog

* Fri Dec 05 1997 Michael K. Johnson <johnsonm@redhat.com>

- fixed core dump when the display cannot be opened.

* Fri Oct 03 1997 Michael K. Johnson <johnsonm@redhat.com>

- Fixed style bug in gtk.
- Invisible text in entry fields from Otto.

* Thu Oct 02 1997 Michael K. Johnson <johnsonm@redhat.com>

- Moved to 970925
- gimp no longer includes gtk, so no problem.
- Use install-info

* Wed Sep 17 1997 Otto Hammersmith <otto@redhat.com>

- patched some headers so they include the "right thing"

make the spec file... still trying to figure out what I'm going to do
about having gimp and gtk in seperate packages even though they
haven't changed 'em over yet.

%prep
%setup -n gtk+970925
%patch1 -p1 -b .headers
%patch2 -p1 -b .style
%patch3 -p1 -b .invisible
%patch4 -p1 -b .noabort
%build
./configure --prefix=/usr
# Fix glib's schizophrenia about where it exists...
(cd glib; ln -s . glib)
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/info $RPM_BUILD_ROOT/usr/include \
	$RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/usr/bin
make prefix=$RPM_BUILD_ROOT/usr install
# oops -- fix up gimp's install, since its own header files require this.
(cd $RPM_BUILD_ROOT/usr/include
 mkdir glib
 mv glib.h glibconfig.h glib)
make -C docs prefix=$RPM_BUILD_ROOT/usr install

gzip -9 $RPM_BUILD_ROOT/usr/info/*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%post devel
/sbin/install-info /usr/info/gdk.info.gz /usr/info/dir
/sbin/install-info /usr/info/gtk.info.gz /usr/info/dir

%postun -p /sbin/ldconfig

%postun devel
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/gdk.info.gz /usr/info/dir
    /sbin/install-info --delete /usr/info/gtk.info.gz /usr/info/dir
fi

%files
/usr/lib/libglib.so
/usr/lib/libglib.so.1.0.0
/usr/lib/libgdk.so
/usr/lib/libgdk.so.1.0.0
/usr/lib/libgtk.so
/usr/lib/libgtk.so.1.0.0

%files devel
/usr/lib/libglib.a
/usr/include/glib
/usr/lib/libgdk.a
/usr/include/gdk
/usr/lib/libgtk.a
/usr/include/gtk
/usr/info/gdk.info*
/usr/info/gtk.info*
%doc gtk/_libs/testgtk
%doc gtk/testgtkrc
%doc gtk/testgtk.c
